Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.context
Class ContextHashMap.EntrySet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet
              ix.util.context.ContextHashMap.EntrySet

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  ContextHashMap

    protected class ContextHashMap.EntrySet

extends java.util.AbstractSet

The Set implementation for a ContextHashMap entrySet.

Field Summary
`(package private) ContextHashMap.Entry` | `chain`
`(package private) Context` | `creationContext`
`(package private) int` | `size`

Constructor Summary
`ContextHashMap.EntrySet(ContextHashMap.Entry chain)`

Method Summary
`protected int` | `calcSize()`
`java.util.Iterator` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Field Detail

### creationContext

    Context creationContext

### chain

    ContextHashMap.Entry chain

### size

    int size

Constructor Detail

### ContextHashMap.EntrySet

    ContextHashMap.EntrySet(ContextHashMap.Entry chain)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`

### calcSize

    protected int calcSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD